.initClasses <- function( where ) {
  setClass("hexbin",
           representation(cell="vector", count="vector",
                          xcm="vector", ycm="vector", xbins="numeric",
                          shape= "numeric", xbnds = "numeric" ,
                          ybnds = "numeric" , dim = "numeric",
                          n =  "numeric"),
           where=where )        


  setGeneric("hexbin", function(x, y, xbins = 30, shape = 1, xbnds =
  range(x), ybnds = range(y)) standardGeneric("hexbin"), where=where)
     
}

hexbin <-
    function(x, y, xbins = 30, shape = 1, xbnds = range(x), ybnds = range(y))
{
    call<-match.call()
    n <- length(x)
    if(length(y) != n)
        stop("Vector length mismatch")
    if(diff(xbnds) == 0)
        stop("x range must be positive")
    if(diff(ybnds) == 0)
        stop("y range must be positive")
    jmax <- floor(xbins + 1.5001)
    imax <- 2 * floor((xbins * shape)/sqrt(3) + 1.5001)
    dim <- c(imax, jmax)
    lmax <- jmax * imax
    ans <- .Fortran("hbin",
                    x = as.double(x),
                    y = as.double(y),
                    cell= integer(lmax),
                    cnt = integer(lmax),
                    xcm = double(lmax),
                    ycm = double(lmax),
                    xbins = as.double(xbins),
                    shape = as.double(shape),
                    xbnds = as.double(xbnds),
                    ybnds = as.double(ybnds),
                    dim = as.integer(dim),
                    n = as.integer(n),
                    PACKAGE = "hexbin")[-(1:2)]
    ## delele data and extraneous stuff
    nc <- ans$n
    length(ans$cell) <- nc
    length(ans$cnt) <- nc
    length(ans$xcm) <- nc
    length(ans$ycm) <- nc
    if(sum(ans$cnt) != n) warning("Lost counts in binning")
    attr(ans, "call") <- call
    class(ans) <- "hexbin"/
    ans
}## hexbin
