####--- This should really be somewhat compatible to  base::col2rgb()
####--> Use 3-row (and not 3-column) matrices !

rgb2hsv <- function(r, g = NULL, b = NULL, delta = 1)
{
    rgb <-
        if(is.null(g) && is.null(b)) as.matrix(r)
        else rbind(r,g,b)
    if(!is.numeric(rgb)) stop("rgb matrix must be numeric")
    d <- dim(rgb)
    if(d[1] != 3) stop("rgb matrix must have 3 rows")
    if(delta != 1)# revert delta corrected hsv values
        rgb <- rgb ^ (1/delta)
    n <- d[2]
    if(n == 0)
        return(cbind(c(h=1,s=1,v=1))[,0])
    ## else:
    if(any(rgb > 1) || any(rgb < 0)) stop("rgb values must be in [0,1]")

    storage.mode(rgb) <- "double"
    hsv <- .C("RGBtoHSV",
              rgb,
              hsv = double(3 * n),
              n,
              PACKAGE = "hexbin")$hsv
    dim(hsv) <- c(3,n)
    rownames(hsv) <- c("h","s","v")
    hsv
}
