\name{hcell2xy}
\alias{hcell2xy}
\title{Compute X and Y Coordinates for Hexagon Cells}

\description{
  Computes x and y coordinates from hexagon cell id's.
}
\usage{
hcell2xy(bin)
}

\arguments{
  \item{bin}{hexbin object}
}
\value{
  A list with two components
  \item{x}{}
  \item{y}{}
}

\references{ see in \code{\link{hcell}}.}

\details{
The hexbin object contains all the needed information.  The purpose of
this function is to reduce storage.  The cost is  additional
calculation.
}

\seealso{\code{\link{hcell}}, \code{\link{hray}},
  \code{\link{hexbin}}}
}

\examples{
x <- rnorm(10000)
y <- rnorm(10000)
bin <- hexbin(x,y)
xys <- hcell2xy(bin)
# temporal trends with confidence bounds plotted on a map
# Illustration only pending access to user functions.
# mtapply()  #like tapply but for matrices
# sens.season.slope()  #computes sen's seasonal slope

## This part does not work and commented out
#bin  <- hcell(dat$x,dat$y)   #  x and y are in map projection units
#newdat < dat[,c('month','year','value')]    # extract columns
#stats <- mtapply(newdat,bin$cell,sens.season.slope,season=12)
#plot(mymap,type='l')       # map boundaries in map projection units
#xy <- hcell2xy(bin)  # x and y coordinates for hexagon cell centers
#hray(xy$x, xy$y,val=stat[,1],lower= stat[,2],upper=stat[,3])
}

\keyword{manip}








