\name{rgb2hsv}
\alias{rgb2hsv}
\title{Numeric Conversion of RGB to HSV Color Space}
\description{
  Given a 3-row matrix of RGB (Red, Green, Blue) values in \eqn{[0,1]} return
  a similar matrix of HSV (Hue, Saturation, Value) values.
}
\usage{
rgb2hsv(r, g = NULL, b = NULL, delta = 1)
}
\arguments{
  \item{r}{vector of \dQuote{red} values in \eqn{[0,1]},
    or 3-row rgb matrix.}
  \item{g}{vector of \dQuote{green} values, or \code{\link{NULL}} when
    \code{r} is a matrix.}
  \item{b}{vector of \dQuote{blue} values, or \code{\link{NULL}} when
    \code{r} is a matrix.}
  \item{delta}{a \dQuote{gamma correction}.}
}
\value{
}
%\references{ ~put references to the literature/web site here ~ }
\seealso{\code{\link{hsv}}, \code{\link{rgb}}, \code{\link{col2rgb}}.}
\examples{
256* (rgb3 <- floor(256 * matrix(runif(3*12), 3,12))/256)
(hsv3 <- rgb2hsv(rgb3))
rgbBack <- col2rgb(hsv(h=hsv3[1,], s=hsv3[2,], v=hsv3[3,]))
table(256*rgb3 - rgbBack)# not all 0; I had about half 1's
stopifnot(max(1 - c(256*rgb3) / c(rgbBack)) < 0.01)
}
\keyword{color}

