\name{summary.hexbin}
\alias{summary.hexbin}
\title{Summary function for hexbin objects}
\description{
  Returns a summary in the form of a formatted table of a hexbin object
}
\usage{
\method{summary}{hexbin}(object, \dots)
}
\arguments{
  \item{object}{an object of class \code{\link{hexbin}}}
  \item{\dots}{further arguments passed from and to methods.}
}
\details{
  Prints a summary to the terminal of a hexbin object with the
  components listed listed below.
  \item{call}{the call that produced the hexbin object}
  \item{dim}{the dimensions of the hexagon grid}
  \item{stats}{A summary of the grid cells, cell counts, and the cell
    center x and y coordinates }
}
\author{Nicholas Lewin-Koh \email{nikko@hailmail.net}}
\seealso{\code{\link{hexbin}}, \code{\link{summary}}.}
\examples{
  x <- rnorm(1000)
  y <- rnorm(1000)
  hb <- hexbin(x,y)
  summary(hb)
}
\keyword{print}

